Subject: Re: bug#39149: 27.0.50; describe-buffer-bindings is calling :filter function in wrong buffer

From: yyoncho <[email-masked]>
Date: Fri, 30 Oct 2020 18:32:46 +0200

Even better will be if there is some intermediate structured result which
can be used by packages like which-key instead of parsing the string.

On Fri, Oct 30, 2020 at 6:23 PM Stefan Kangas <[email-masked]>
wrote:

> Andreas Schwab <[email-masked]> writes:
>
> > The problem is that describe-buffer-bindings only changes the buffer to
> > look up the bindings, but everything that generates the description
> > (starting with describe-map-tree) doesn't know about that other buffer.
>
> BTW, does anyone know why describe-map and describe-map-tree currently
> inserts its result into buffer instead of just returning a string?
>